package de.ivu.elect.presentation.statistik.menu;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.jee.presentation.menu.AbstractMenuModelBuilder;
import de.ivu.elect.jee.presentation.menu.MenuEntry;

@Named(StatistikLaufSearchMenu.COMPONENT_NAME)
public class StatistikLaufSearchMenu extends AbstractMenuModelBuilder {

  public static final String COMPONENT_NAME = "statistikLaufSearchMenu";

  private static final long serialVersionUID = 1L;

  @Inject
  private StatistikLaufCreateMenuItemEntry createMenuItemEntry;

  public StatistikLaufSearchMenu() {
    super();
  }

  @Override
  protected List<MenuEntry> getMenuEntriesSorted() {
    List<MenuEntry> result = new ArrayList<>();
    result.add(createMenuItemEntry);

    return result;
  }
}
